export declare class EclCarousel {
    el: HTMLElement;
    styleClass: string;
    theme: string;
    noScript: boolean;
    carouselId: string;
    colorMode: string;
    slidesNumber: number;
    fullWidth: boolean;
    counterLabel: string;
    srNavigation: string;
    srPrevious: string;
    srNext: string;
    srPause: string;
    srPlay: string;
    getClass(): string;
    componentWillLoad(): void;
    componentDidRender(): void;
    render(): any;
}
